Skip to main content
POST
/
api
/
users
/
preferences
/
topics
curl -X POST https://worker.rushed.com.br/api/users/preferences/topics \
  -H "X-API-Key: rsh_live_xxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"topic": "M&A", "weight": 2.5}'
{ "success": true, "data": { "topics": ["M&A", "IPO"], "topicWeights": { "M&A": 2.5 } } }

Headers

X-API-Key
string
required
Your Rushed API key: rsh_live_xxxxxxxxxxxx

Request Body

topic
string
required
Topic code: M&A, IPO, RES, DIV, REG, POL, MAC, ESG, INO, CRI, EXE, TRB, INT, JUR, EXP, PAR, DEB, TRF, CPT, INF, CLI, SEG, SAP, ELE, TRI, CIB, EDI
weight
number
Weight (0–5, default 1.0)
curl -X POST https://worker.rushed.com.br/api/users/preferences/topics \
  -H "X-API-Key: rsh_live_xxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"topic": "M&A", "weight": 2.5}'
{ "success": true, "data": { "topics": ["M&A", "IPO"], "topicWeights": { "M&A": 2.5 } } }